%define pypi_name typogrify

Name:           python-%{pypi_name}
Version:        2.0.7
Release:        %mkrel 5
Summary:        Filters to enhance web typography, with support for Django & Jinja templates
Group:          Development/Python
License:        BSD
URL:            https://github.com/mintchaos/typogrify
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Typogrify provides a set of custom filters that automatically apply various
transformations to plain text in order to yield typographically-improved HTML.
While often used in conjunction with Jinja_ and Django_ template systems, the
filters can be used in any environment.

%package -n     python3-%{pypi_name}
Summary:        Filters to enhance web typography, with support for Django & Jinja templates
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Typogrify provides a set of custom filters that automatically apply various
transformations to plain text in order to yield typographically-improved HTML.
While often used in conjunction with Jinja_ and Django_ template systems, the
filters can be used in any environment.

%prep
%autosetup -n %{pypi_name}-%{version}

# remove shebang line from the python scripts
for lib in $(find -type f -name '*.py'); do
 sed -i.python -e '1{\@^#!@d}' $lib
done

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst


%changelog
* Tue Feb 25 2025 wally <wally> 2.0.7-5.mga10
+ Revision: 2152570
- rebuild for python3.13

* Sat Dec 09 2023 wally <wally> 2.0.7-4.mga10
+ Revision: 2016310
- rebuild for py3.12
- use pyproject rpm macros

* Wed Mar 23 2022 umeabot <umeabot> 2.0.7-3.mga9
+ Revision: 1822395
- Mageia 9 Mass Rebuild

* Sat Feb 12 2022 tv <tv> 2.0.7-2.mga9
+ Revision: 1773470
- Rebuild for python-3.10

* Fri Mar 26 2021 daviddavid <daviddavid> 2.0.7-1.mga9
+ Revision: 1710484
- initial package python-typogrify (needed for gi-docgen)

